/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>
#include "camera.h"
#include "shader.h"

void sceneInit(scene_t *scene);

sceneitem_t * sceneAdd(scene_t *scene);

void sceneUpdate(scene_t *scene, engine_t *engine);

void sceneRender(scene_t *scene, engine_t *engine, shader_t *shader);

void sceneDispose(scene_t *scene);